package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.entity.AppRedemptionCode;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 兑换码分配表(RedemptionCode)表服务接口
 *
 * @author makejava
 * @since 2021-12-27 14:27:57
 */
public interface AppRedemptionCodeService extends IService<AppRedemptionCode> {

    String importRedemptionCode(MultipartFile file) throws Exception;

    AppRedemptionCode allocation(Integer userId);

    void checkLowVolume();
}

